# $Id: djbdns.spec,v 1.1 2013/02/06 22:00:55 slords Exp $

#
# RPM spec file for Dan Bernstein's djbdns package
#
# $Id: djbdns.spec,v 1.1 2013/02/06 22:00:55 slords Exp $
#
Summary: collection of Domain Name System tools
%define name djbdns
Name: %{name}
%define version 1.05
%define release 8
Version: %{version}
Release: %{release}%{?dist}
License: Public Domain
Group: Networking/Daemons
Source: http://cr.yp.to/%{name}/%{name}-%{version}.tar.gz
URL: http://cr.yp.to/%{name}.html
Patch0: %{name}-%{version}.patch.2001022000
Patch1: dns_transmit-bug.patch
Patch2: http://homepages.tesco.net./~J.deBoynePollard/Softwares/djbdns/dnscache-cname-handling.patch
Patch3: http://homepages.tesco.net./~J.deBoynePollard/Softwares/djbdns/dnscache-strict-forwardonly.patch
Patch4: http://homepages.tesco.net./~J.deBoynePollard/Softwares/djbdns/tinydns-alias-chain-truncation.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Provides: djbdns
AutoReqProv: no

%description
djbdns is a collection of Domain Name System tools. It includes several
components:

    - The dnscache program is a local DNS cache. It accepts recursive
      DNS queries from local clients such as web browsers. It collects
      responses from remote DNS servers.

    - The tinydns program is a fast, UDP-only DNS server. It makes
      local DNS information available to the Internet. It supports load
      balancing and client differentiation.

    - The walldns program is a reverse DNS wall. It provides matching
      reverse and forward records while hiding local host information.

    - The rbldns program is an IP-address-listing DNS server. It uses
      DNS to publish a list of IP addresses, such as RBL or DUL.

    - The dns library handles outgoing and incoming DNS packets. It can
      be used by clients such as web browsers to look up host addresses,
      host names, MX records, etc. It supports asynchronous resolution.

    - The dnsfilter program is a parallel IP-address-to-host-name
      converter.

    - The dnsip, dnsipq, dnsname, dnstxt, and dnsmx programs are simple
      command-line interfaces to DNS.

    - The dnsq and dnstrace programs are DNS debugging tools.

djbdns was written by Daniel J Bernstein, and was placed into the public
domain on Dec 28, 2007.

%changelog
* Mon Mar 24 2008 Shad L. Lords <slords@mail.com> 1.05-8
- Comment out contentious patches for now [SME: 3826] [SME: 3824]

* Mon Jan 28 2008 Charlie Brady <charlie_brady@mitel.com> 1.05-7
- Patch tinydns to publish complete client-side alias chains. [SME: 3826]

* Mon Jan 28 2008 Charlie Brady <charlie_brady@mitel.com> 1.05-6
- Patch to fix problems with delegation loops. [SME: 3825]

* Mon Jan 28 2008 Charlie Brady <charlie_brady@mitel.com> 1.05-5
- Patch to fix various problems in dnscache CNAME record handling. [SME: 3824]

* Thu Jan 10 2008 Charlie Brady <charlieb@e-smith.com> 1.05-4
- Patch around TCP bug: http://alkemio.org/dns_transmit-bug.html
- Change license to "Public Domain' - http://cr.yp.to/distributors.html

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Thu Nov 11 2004 Charlie Brady <charlieb@e-smith.com> 1.05-02
- Use "conf-cc" value which works around errno problem.

* Tue Feb 20 2001 Peter Samuel <peters@e-smith.com>
- [1.05-01]
- Updated for djbdns-1.05.

* Tue Feb 6 2001 Peter Samuel <peters@e-smith.com>
- [1.04-01]
- Now installs in its own root area prior to creating binary RPM.

%prep
%setup

# This patch allows files to be installed in a relative directory prior
# to creating the binary RPM. It does not change the installed files or
# their final installed locations.

%patch0 -p1

# Create the relative installation directories.

mkdir -p ./root/usr
mkdir -p ./root/etc

%patch1 -p1
#%patch2 -p1
%patch3 -p1
#%patch4 -p1

%build
echo "gcc -O2 -Wall --include /usr/include/errno.h" > conf-cc
echo "gcc -s -Os -pipe" > conf-ld
make

%install
make setup
make check
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(644,root,root) /etc/dnsroots.global
%attr(755,root,root) /usr/local/bin/axfrdns
%attr(755,root,root) /usr/local/bin/axfrdns-conf
%attr(755,root,root) /usr/local/bin/axfr-get
%attr(755,root,root) /usr/local/bin/dnscache
%attr(755,root,root) /usr/local/bin/dnscache-conf
%attr(755,root,root) /usr/local/bin/dnsfilter
%attr(755,root,root) /usr/local/bin/dnsip
%attr(755,root,root) /usr/local/bin/dnsipq
%attr(755,root,root) /usr/local/bin/dnsmx
%attr(755,root,root) /usr/local/bin/dnsname
%attr(755,root,root) /usr/local/bin/dnsq
%attr(755,root,root) /usr/local/bin/dnsqr
%attr(755,root,root) /usr/local/bin/dnstrace
%attr(755,root,root) /usr/local/bin/dnstracesort
%attr(755,root,root) /usr/local/bin/dnstxt
%attr(755,root,root) /usr/local/bin/pickdns
%attr(755,root,root) /usr/local/bin/pickdns-conf
%attr(755,root,root) /usr/local/bin/pickdns-data
%attr(755,root,root) /usr/local/bin/random-ip
%attr(755,root,root) /usr/local/bin/rbldns
%attr(755,root,root) /usr/local/bin/rbldns-conf
%attr(755,root,root) /usr/local/bin/rbldns-data
%attr(755,root,root) /usr/local/bin/tinydns
%attr(755,root,root) /usr/local/bin/tinydns-conf
%attr(755,root,root) /usr/local/bin/tinydns-data
%attr(755,root,root) /usr/local/bin/tinydns-edit
%attr(755,root,root) /usr/local/bin/tinydns-get
%attr(755,root,root) /usr/local/bin/walldns
%attr(755,root,root) /usr/local/bin/walldns-conf
